---
updatedAt: 2026-09-04T11:23:37.000Z
agentTools:
  projectIndex: https://docs.us.zip.co/llms.txt
---

# /merchant-disputes/file

Sandbox (Testing): https://gateway.sand.us.zip.co/merchant-disputes/file<br><br> Upload an evidence file using a blob. Note all blobs provided must not assume containers or implicit security. (e.g. for Azure blobs, these have SAS tokens if required).

```json Request Body Example
{
  "merchantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
  "disputeId": "du_2Nh2yAD4niJYPQuMLbKMyEvJ",
  "category": "string",
  "blob": "string",
  "fileName": "string",
  "contentType": "string"
}
```

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "gateway-api-1",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://gateway.us.zip.co"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "oauth2",
        "flows": {
          "clientCredentials": {
            "tokenUrl": "https://example.com/oauth2/token",
            "scopes": {}
          }
        }
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/merchant-disputes/file": {
      "post": {
        "summary": "/merchant-disputes/file",
        "description": "Sandbox (Testing): https://gateway.sand.us.zip.co/merchant-disputes/file<br><br> Upload an evidence file using a blob. Note all blobs provided must not assume containers or implicit security. (e.g. for Azure blobs, these have SAS tokens if required).",
        "operationId": "merchant-disputesfile",
        "parameters": [
          {
            "name": "QP-Territory",
            "in": "header",
            "description": "Territory of the request. Available values: US",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "X-QP-Signature",
            "in": "header",
            "description": "The signature for merchant validation",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "type": "object",
                "required": [
                  "MerchantId",
                  "DisputeId",
                  "Blob"
                ],
                "properties": {
                  "MerchantId": {
                    "type": "string",
                    "description": "Gets or sets the merchant Id"
                  },
                  "DisputeId": {
                    "type": "string",
                    "description": "The dispute ID."
                  },
                  "Category": {
                    "type": "string",
                    "description": "Receipt, RefundPolicy, ServiceDocumentation, ShippingDocumentation, CancellationPolicy, CustomerCommunication, CustomerSignature, DuplicateChargeDocumentation, UncategorizedFile"
                  },
                  "Blob": {
                    "type": "string",
                    "description": "A block of data or information related to dispute."
                  },
                  "FileName": {
                    "type": "string",
                    "description": "The name of the file"
                  },
                  "ContentType": {
                    "type": "string",
                    "description": "Examples: image/png, image/jpeg, text/plain"
                  }
                }
              },
              "examples": {
                "Request Example": {
                  "value": {
                    "merchantId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                    "disputeId": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
                    "category": "string",
                    "blob": "string",
                    "fileName": "string",
                    "contentType": "string"
                  }
                }
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"disputeDetail\": {\n    \"id\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n    \"disputeId\": \"string\",\n    \"disputedAmount\": 0,\n    \"currency\": \"string\",\n    \"isChargeRefundable\": true,\n    \"evidenceDueOn\": \"2023-09-06T15:36:02.381Z\",\n    \"disputedOn\": \"2023-09-06T15:36:02.381Z\",\n    \"status\": \"string\",\n    \"reason\": \"string\",\n    \"evidence\": {\n      \"receipt\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"refundPolicy\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"refundPolicyDisclosure\": \"string\",\n      \"refundRefusalExplanation\": \"string\",\n      \"serviceDate\": \"string\",\n      \"serviceDocumentation\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"shippingAddress\": \"string\",\n      \"shippingCarrier\": \"string\",\n      \"shippingDate\": \"string\",\n      \"shippingDocumentation\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"shippingTrackingNumber\": \"string\",\n      \"uncategorizedFile\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"productDescription\": \"string\",\n      \"duplicateChargeExplanation\": \"string\",\n      \"accessActivityLog\": \"string\",\n      \"billingAddress\": \"string\",\n      \"cancellationPolicy\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"cancellationPolicyDisclosure\": \"string\",\n      \"cancellationRebuttal\": \"string\",\n      \"customerCommunication\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"customerEmailAddress\": \"string\",\n      \"customerName\": \"string\",\n      \"customerPurchaseIp\": \"string\",\n      \"customerSignature\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"duplicateChargeDocumentation\": {\n        \"id\": \"string\",\n        \"created\": \"2023-09-06T15:36:02.381Z\",\n        \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n        \"filename\": \"string\",\n        \"category\": \"string\",\n        \"size\": 0,\n        \"title\": \"string\",\n        \"type\": \"string\"\n      },\n      \"duplicateChargeId\": \"string\",\n      \"uncategorizedText\": \"string\"\n    },\n    \"orderId\": \"3fa85f64-5717-4562-b3fc-2c963f66afa6\",\n    \"orderNumber\": \"string\",\n    \"customerFirstName\": \"string\",\n    \"customerLastName\": \"string\",\n    \"customerEmail\": \"string\",\n    \"issuerEvidence\": [\n      {\n        \"evidenceType\": \"string\",\n        \"textEvidence\": \"string\",\n        \"fileEvidence\": [\n          {\n            \"id\": \"string\",\n            \"created\": \"2023-09-06T15:36:02.381Z\",\n            \"expiresAt\": \"2023-09-06T15:36:02.381Z\",\n            \"filename\": \"string\",\n            \"category\": \"string\",\n            \"size\": 0,\n            \"title\": \"string\",\n            \"type\": \"string\"\n          }\n        ]\n      }\n    ],\n    \"orderAmount\": 0,\n    \"orderDate\": \"2023-09-06T15:36:02.381Z\",\n    \"disputeFeeAmount\": 0,\n    \"reinstatedAmount\": 0,\n    \"settledOn\": \"2023-09-06T15:36:02.381Z\",\n    \"evidenceSubmittedOn\": \"2023-09-06T15:36:02.381Z\",\n    \"acceptedOn\": \"2023-09-06T15:36:02.381Z\",\n    \"paymentProcessorUnavailable\": true,\n    \"orderMerchantReference\": \"string\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "disputeDetail": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "type": "string",
                          "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
                        },
                        "disputeId": {
                          "type": "string",
                          "example": "string"
                        },
                        "disputedAmount": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "currency": {
                          "type": "string",
                          "example": "string"
                        },
                        "isChargeRefundable": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "evidenceDueOn": {
                          "type": "string",
                          "example": "2023-09-06T15:36:02.381Z"
                        },
                        "disputedOn": {
                          "type": "string",
                          "example": "2023-09-06T15:36:02.381Z"
                        },
                        "status": {
                          "type": "string",
                          "example": "string"
                        },
                        "reason": {
                          "type": "string",
                          "example": "string"
                        },
                        "evidence": {
                          "type": "object",
                          "properties": {
                            "receipt": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "refundPolicy": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "refundPolicyDisclosure": {
                              "type": "string",
                              "example": "string"
                            },
                            "refundRefusalExplanation": {
                              "type": "string",
                              "example": "string"
                            },
                            "serviceDate": {
                              "type": "string",
                              "example": "string"
                            },
                            "serviceDocumentation": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "shippingAddress": {
                              "type": "string",
                              "example": "string"
                            },
                            "shippingCarrier": {
                              "type": "string",
                              "example": "string"
                            },
                            "shippingDate": {
                              "type": "string",
                              "example": "string"
                            },
                            "shippingDocumentation": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "shippingTrackingNumber": {
                              "type": "string",
                              "example": "string"
                            },
                            "uncategorizedFile": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "productDescription": {
                              "type": "string",
                              "example": "string"
                            },
                            "duplicateChargeExplanation": {
                              "type": "string",
                              "example": "string"
                            },
                            "accessActivityLog": {
                              "type": "string",
                              "example": "string"
                            },
                            "billingAddress": {
                              "type": "string",
                              "example": "string"
                            },
                            "cancellationPolicy": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "cancellationPolicyDisclosure": {
                              "type": "string",
                              "example": "string"
                            },
                            "cancellationRebuttal": {
                              "type": "string",
                              "example": "string"
                            },
                            "customerCommunication": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "customerEmailAddress": {
                              "type": "string",
                              "example": "string"
                            },
                            "customerName": {
                              "type": "string",
                              "example": "string"
                            },
                            "customerPurchaseIp": {
                              "type": "string",
                              "example": "string"
                            },
                            "customerSignature": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "duplicateChargeDocumentation": {
                              "type": "object",
                              "properties": {
                                "id": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "created": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "expiresAt": {
                                  "type": "string",
                                  "example": "2023-09-06T15:36:02.381Z"
                                },
                                "filename": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "category": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "size": {
                                  "type": "integer",
                                  "example": 0,
                                  "default": 0
                                },
                                "title": {
                                  "type": "string",
                                  "example": "string"
                                },
                                "type": {
                                  "type": "string",
                                  "example": "string"
                                }
                              }
                            },
                            "duplicateChargeId": {
                              "type": "string",
                              "example": "string"
                            },
                            "uncategorizedText": {
                              "type": "string",
                              "example": "string"
                            }
                          }
                        },
                        "orderId": {
                          "type": "string",
                          "example": "3fa85f64-5717-4562-b3fc-2c963f66afa6"
                        },
                        "orderNumber": {
                          "type": "string",
                          "example": "string"
                        },
                        "customerFirstName": {
                          "type": "string",
                          "example": "string"
                        },
                        "customerLastName": {
                          "type": "string",
                          "example": "string"
                        },
                        "customerEmail": {
                          "type": "string",
                          "example": "string"
                        },
                        "issuerEvidence": {
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "evidenceType": {
                                "type": "string",
                                "example": "string"
                              },
                              "textEvidence": {
                                "type": "string",
                                "example": "string"
                              },
                              "fileEvidence": {
                                "type": "array",
                                "items": {
                                  "type": "object",
                                  "properties": {
                                    "id": {
                                      "type": "string",
                                      "example": "string"
                                    },
                                    "created": {
                                      "type": "string",
                                      "example": "2023-09-06T15:36:02.381Z"
                                    },
                                    "expiresAt": {
                                      "type": "string",
                                      "example": "2023-09-06T15:36:02.381Z"
                                    },
                                    "filename": {
                                      "type": "string",
                                      "example": "string"
                                    },
                                    "category": {
                                      "type": "string",
                                      "example": "string"
                                    },
                                    "size": {
                                      "type": "integer",
                                      "example": 0,
                                      "default": 0
                                    },
                                    "title": {
                                      "type": "string",
                                      "example": "string"
                                    },
                                    "type": {
                                      "type": "string",
                                      "example": "string"
                                    }
                                  }
                                }
                              }
                            }
                          }
                        },
                        "orderAmount": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "orderDate": {
                          "type": "string",
                          "example": "2023-09-06T15:36:02.381Z"
                        },
                        "disputeFeeAmount": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "reinstatedAmount": {
                          "type": "integer",
                          "example": 0,
                          "default": 0
                        },
                        "settledOn": {
                          "type": "string",
                          "example": "2023-09-06T15:36:02.381Z"
                        },
                        "evidenceSubmittedOn": {
                          "type": "string",
                          "example": "2023-09-06T15:36:02.381Z"
                        },
                        "acceptedOn": {
                          "type": "string",
                          "example": "2023-09-06T15:36:02.381Z"
                        },
                        "paymentProcessorUnavailable": {
                          "type": "boolean",
                          "example": true,
                          "default": true
                        },
                        "orderMerchantReference": {
                          "type": "string",
                          "example": "string"
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "404": {
            "description": "404",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"type\": \"string\",\n  \"title\": \"string\",\n  \"status\": 0,\n  \"detail\": \"string\",\n  \"instance\": \"string\",\n  \"additionalProp1\": \"string\",\n  \"additionalProp2\": \"string\",\n  \"additionalProp3\": \"string\"\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "type": {
                      "type": "string",
                      "example": "string"
                    },
                    "title": {
                      "type": "string",
                      "example": "string"
                    },
                    "status": {
                      "type": "integer",
                      "example": 0,
                      "default": 0
                    },
                    "detail": {
                      "type": "string",
                      "example": "string"
                    },
                    "instance": {
                      "type": "string",
                      "example": "string"
                    },
                    "additionalProp1": {
                      "type": "string",
                      "example": "string"
                    },
                    "additionalProp2": {
                      "type": "string",
                      "example": "string"
                    },
                    "additionalProp3": {
                      "type": "string",
                      "example": "string"
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": false,
    "proxy-enabled": false
  },
  "x-readme-fauxas": true
}
```